html {
  font-size: 16px;
}

@media (min-width: 768px) {
  html {
    font-size: 18px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

ol.breadcrumb {
  font-weight: bold;
  font-size: 150%;
}

li.breadcrumb-item.active {
}

.card:has(a.stretched-link):hover  {
  transform: scale(1.02);
  box-shadow: 0 5px 10px rgba(0,0,0,.12), 0 2px 4px rgba(0,0,0,.06);
}

.card a.stretched-link  {
  text-decoration: none;
}

.image-container {
  position: relative;
  display: inline-block; /* Optional: helps the container wrap tightly around the image */
  width: 100%;
  margin-bottom:2rem;
}

.image-container img {
  display: block;
  width: 100%;
  object-fit:cover;
}

.image-container h1 {

  font-weight: 800;
  font-style: normal;

  position: absolute;

  top: 0px;
  left: 0px;

  font-size: calc(2.5rem);
  
  margin:10px;

  padding: 10px 20px;
  text-align: left;

  color: white; /* Base text color */
  text-shadow:
          0 0 1px #000,   /* x-offset, y-offset, blur-radius, color */
          0 0 5px #000,
          0 0 10px #000;
}

.image-container div.logo img {
  position: absolute;
  bottom:-25px;
  right:20px;
  max-height: 90px;
  max-width: 180px;
  object-fit: contain; 
  object-position: right;
}

@media (min-width: 768px) {
  .image-container div.logo img {
    max-height: 120px;
    max-width: 240px;
  }
}

@media (min-width: 1200px) {
  .image-container div.logo img {
    max-height: 150px;
    max-width: 300px;
  }
}

div.article {
  border-top: solid 1px silver;
  padding-top: .5rem;
  position: relative
}

div.article img.img-right {
  object-fit:cover;
  aspect-ratio: 1;
  max-width: 33%;
  height: auto;
}

div.article img.img-left {
  object-fit:cover;
  aspect-ratio: 1;
  max-width: 33%;
  height: auto;
}

div.article > img.img-top {
  object-fit:cover;
  width: 100%;
  aspect-ratio: 2;
}

div.article a {
  text-decoration: none;
}

div.article a:hover {
  font-weight: bold;
}

div.floating-donate-button {
  background-color:rgba(255,255,255,0.75);
}
div.floating-donate-button button {
  font-size:1.5rem;
}

.thermometer { 
  width:100%;
}

footer {
  padding:12px;
  background-color: #fffd;
}